Macro Mouse over cb

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Macro Mouse over cb and the translation is 100% complete.
Other languages:
English • ‎français • ‎hrvatski • ‎italiano

Macro Mouse over cb.png Macro Mouse over cb

Description
Cette macro affiche tous les éléments sous le curseur de la souris.

Version macro : 00.00
Date dernière modification : 2016-12-13
Version FreeCAD : All
Téléchargement : Toolbar icon
Auteur
Chris_G
Téléchargement
Toolbar icon
Liens
Version Macro
00.00
Dernière modification
2016-12-13
Version(s) FreeCAD
All
Raccourci clavier
None
Voir aussi
Macro FC element selector Macro FC element selector.png


Description

Cette macro affiche tous les éléments sous le curseur de la souris. ( Tous les éléments cachés par d'autres élément sont aussi affichés)

Utilisation

lancer la macro, la macro reste résidente en mémoire.

Script

Toolbar icon Macro Mouse over cb.png

Macro_Mouse_over_cb.FCMacro

from pivy import coin
import FreeCADGui

def mouse_over_cb( event_callback):
    event = event_callback.getEvent()
    pos = event.getPosition().getValue()
    listObjects = FreeCADGui.ActiveDocument.ActiveView.getObjectsInfo((int(pos[0]),int(pos[1])))
    obj = []
    if listObjects:
        FreeCAD.Console.PrintMessage("\n *** Objects under mouse pointer ***")
        for o in listObjects:
            label = str(o["Object"])
            if not label in obj:
                obj.append(label)
        FreeCAD.Console.PrintMessage("\n"+str(obj))


view = FreeCADGui.ActiveDocument.ActiveView

mouse_over = view.addEventCallbackPivy( coin.SoLocation2Event.getClassTypeId(), mouse_over_cb )

# to remove Callback :
#view.removeEventCallbackPivy( coin.SoLocation2Event.getClassTypeId(), mouse_over_cb)

Liens

La discussion sur le forum finding/selecting all elements below cursor

Autre macro similaire Selecting internal faces of a pressure vessel (téléchargez le fichier FC_element_selector_v1p1p1.py)